Bug 995940 - 'Subscription' link in 'Systems' is broken
'Subscription' link in 'Systems' is broken
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Dustin Tsang
Og Maciel
http://projects.theforeman.org/issues...
: Triaged
Depends On: 986867
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 00:15 EDT by sthirugn@redhat.com
Modified: 2016-04-22 10:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 986867
Environment:
Last Closed: 2014-05-22 09:41:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
No subscription link (287.36 KB, image/png)
2014-04-28 13:53 EDT, Og Maciel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 5514 None None None 2016-04-22 10:56 EDT

  None (edit)
Comment 3 Mike McCune 2013-10-17 17:03:46 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 4 Og Maciel 2014-04-28 13:53:42 EDT
Created attachment 890541 [details]
No subscription link
Comment 5 Og Maciel 2014-04-28 14:50:05 EDT
This fails QE as the generated link no longer takes you to the corresponding subscription. The link we now get shows:

https://SERVER/katello/subscriptions#/subscriptions?search=productName:%22Red%20Hat%20Employee%20Subscription%22

I believe it should instead go to

https://SERVER/katello/subscriptions#/subscriptions/8a90e0e9459dfec101459e5458c6013d/info?search=productName:%22Red%20Hat%20Employee%20Subscription%22
Comment 6 Tom McKay 2014-04-30 12:09:04 EDT
Created redmine issue http://projects.theforeman.org/issues/5514 from this bug
Comment 9 Dustin Tsang 2014-05-08 18:53:33 EDT
https://github.com/Katello/katello/pull/4038
Comment 11 Adam Saleh 2014-05-22 09:41:55 EDT
Seems acceptable.

Note You need to log in before you can comment on or make changes to this bug.